<?php

// =============================================================================
// FUNCTIONS.PHP
// -----------------------------------------------------------------------------
// Overwrite or add your own custom functions to Pro in this file.
// =============================================================================

// =============================================================================
// TABLE OF CONTENTS
// -----------------------------------------------------------------------------
//   01. Enqueue Parent Stylesheet
//   02. Additional Functions
// =============================================================================

// Enqueue Parent Stylesheet
// =============================================================================

add_filter( 'x_enqueue_parent_stylesheet', '__return_true' );


// Additional Functions
// =============================================================================



// HEAD Google Tag no-script
function custom_tag_head(){ ?>
<!-- Google Tag Manager -->
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','GTM-CHANGETHISXXXXXXXXXXXXXXXXXXXXXX');</script>
<!-- End Google Tag Manager -->
<?php }
add_action('wp_head', 'custom_tag_head');


// BODY Google Tag no-script
function custom_tag_body() { ?>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-CHANGETHISXXXXXXXXXXXXXXXXXXXXXX"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->
<?php }
add_action( 'x_after_body_begin', 'custom_tag_body' ); // 'wp_body_open' IS NOT COMPATIBLE WITH X THEME, USE x_after_body_begin
// DISPLAY PHONE NUMBER BUTTON ON MOBILES
//<div class="underbut" >
//<a class="x-btn x-btn-global x-btn-block" href="tel:0405203884" data-options="thumbnail: ''"><i class="x-icon mvn mln mrs x-icon-phone" data-x-icon-s="" aria-hidden="true"></i>Call 0405 203 884</a>
//<a class="x-btn x-btn-global x-btn-block" href="https://www.futurised.com.au/contact/" data-options="thumbnail: ''"><i class="x-icon mvn mln mrs x-icon-book-open" data-x-icon-s="" aria-hidden="true"></i>Contact</a>
//</div>

// FOOTER
function custom_tag_footer () { ?>
<?php }
add_action('wp_footer','custom_tag_footer');
